<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : cv11_sem.xsl
    Created on : 13. prosinec 2010, 13:19
    Author     : st22312
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="windows-1250" omit-xml-declaration="no"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="/inzerce/nadpis"/>
                </title>
                <style>
                    a, a:hover, a:visited, a:active {color: #e6b296;}
                </style>
            </head>
            <body style="background: #17334e; color: #e3e9f0;">
                <h1 style="color: red;">
                    <xsl:value-of select="/inzerce/nadpis"/>
                </h1>
                <div style="position: absolute; bottom: 5px; right: 5px; text-align:right; border: 1px solid #5bcb4c; padding: 3px;">
                    Autor: 
                    <xsl:value-of select="/inzerce/autor"/>
                    <br />
                    <xsl:apply-templates select="/inzerce/web"/>
                </div>
                
                <ul style="width: 450px; float: left;">
                    <!-- <xsl:for-each select="/inzerce/produkty/nabizim"> -->
                    <li>
                        <strong style="color: red;">Nabízím</strong>
                        <ul>
                            <xsl:for-each select="/inzerce/produkty/nabizim/produkt">
                                <xsl:apply-templates select="."/>
                            </xsl:for-each>
                        </ul>
                    </li>
                </ul>
                <ul  style="width: 450px; float: left;">
                    <li>
                        <strong style="color: red;">Sháním</strong>
                        <ul>
                            <xsl:for-each select="/inzerce/produkty/shanim/produkt">
                                <xsl:apply-templates select="."/>
                            </xsl:for-each>
                        </ul>
                    </li>
                    <!-- </xsl:for-each> -->
                </ul>

            </body>
        </html>
    </xsl:template>
    <xsl:template match="/inzerce/web">
        Web autora:             
        <xsl:element name="a">
            <xsl:attribute name="href">
                <xsl:value-of select="/inzerce/web"/>
            </xsl:attribute>
            <xsl:value-of select="/inzerce/web"/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="produkt">
        <li>
            <strong>PID:
                <xsl:value-of select="./@produkt_id"/>, UID:
                <xsl:value-of select="./@uzivatel_id"/>,
                <xsl:value-of select="./@cena"/>
                <xsl:value-of select="./@cenaMena"/>
            </strong>
            <ul>
                <xsl:element name="li">
                    <xsl:value-of select="./nazev"/>
                </xsl:element>
                <xsl:element name="li">
                    <xsl:value-of select="./popis"/>
                </xsl:element>
            </ul>
        </li>
    </xsl:template>
</xsl:stylesheet>